using System.Collections.Concurrent;

namespace FNZCM.Shared.MediaModels
{
    public class Disc
    {
        public string Name { get; }

        public Disc(string name) => Name = name;

        public ConcurrentDictionary<string, string> Bks { get; } = new();

        public ConcurrentDictionary<string, string> MainTracks { get; } = new();
        public ConcurrentDictionary<string, TrackSet> SubTracks { get; } = new();
    }
}
